# classes/phing/tasks/ext/phpunit/formatter/CloverPHPUnitResultFormatter.php

## \CloverPHPUnitResultFormatter
jump to top

Prints Clover XML output of the test

Extends from
  \PHPUnitResultFormatter
author
  Michiel Rook
package
  phing.tasks.ext.formatter
since
  2.4.0
version
  $Id: CloverPHPUnitResultFormatter.php 1084 2011-05-06 09:55:25Z mrook $

### Properties

`\PHPUnit_Framework_TestResult $result= 'NULL'`

Default value `NULL` Details

Type
  \PHPUnit_Framework_TestResult

`string $version= 'NULL'`

PHPUnit version

Default value `NULL` Details

Type
  string

### Methods

`__construct( $parentTask ) :`
Parameters

Name | Type | Description
--- | --- | ---
$parentTask |  |

`endTestRun( ) :`
`getExtension( ) :`
`getPreferredOutfile( ) :`
`processResult( $result ) :`
Parameters

Name | Type | Description
--- | --- | ---
$result |  |

Documentation was generated by DocBlox 0.13.1.